<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.css" rel="stylesheet" type="text/css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.js"></script>

<script type="text/javascript">
$(window).resize(function() {
    drawChart();
});



google.charts.load('current', {'packages':['corechart', 'timeline']});
google.charts.setOnLoadCallback(drawChart);
google.charts.setOnLoadCallback(drawChart2);
function drawChart() {
	<? foreach ($stats as $i => $s): ?>
//doughnut chart
var doughnut = document.getElementById('doughnut<?= $i ?>');
var doughnutConfig = new Chart(doughnut, {
    type: 'doughnut',
    data: {
        labels: ['Freechat', 'GroupChat', 'PrivateChat'],
        datasets: [{
            label: '',
            data: [<?= $s['freechatTime'] ?>, <?= $s['groupTime'] ?>, <?= $s['privateTime'] ?>],
            backgroundColor: [
            '#41B883',
            '#E46651',
            '#00D8FF',
            '#DD1B16'
          ],
            borderWidth: 1
        }]
    },
    options: {
        responsive: false,
        maintainAspectRatio: true,
        width: 200,
        height: 200,
        legend: {
            labels: {
                fontSize: 24 // set the font size of the legend labels to 16 pixels
            }
        },
        scales: {
            yAxes: [{
                ticks: {
                    fontSize: 18 // set the font size of the y-axis labels to 16 pixels
                }
            }],
            xAxes: [{
                ticks: {
                    fontSize: 0 // set the font size of the x-axis labels to 16 pixels
                }
            }]
        },
        tooltips: {
            titleFontSize: 18, // set the font size of the tooltip title to 16 pixels
            bodyFontSize: 18 // set the font size of the tooltip body to 16 pixels
        },
        plugins: {
            datalabels: {
                fontSize: 18 // set the font size of the data labels to 16 pixels
            }
        },
        fontSize: 18 // set the font size of the chart title and all other text to 16 pixels
    },
});
<? endforeach; ?>


}
function drawChart2() {

	/* heatmap chart */

    var colorMap = {
		'0': 'forestgreen',
		'1': '#ffeeee',
		'2': '#ffdddd',
		'3': '#ffcccc',
		'4': '#ffbbbb',
		'5': '#ffaaaa',
		'6': '#ff8888',
		'7': '#ff6666',
		'8': '#ff4444',
		'9': '#ff2222',
		'10': '#ff0000'
    };

//heat map new vers

    var heatmapchart = new google.visualization.Timeline(document.getElementById('heatmapchart'));
    var heatmapdata = new google.visualization.DataTable();

    heatmapdata.addColumn({ type: 'string', id: 'Days' });
    heatmapdata.addColumn({ type: 'string', id: 'Name' });
	heatmapdata.addColumn({ type: 'string', role: 'style' });
    heatmapdata.addColumn({ type: 'date', id: 'Start' });
    heatmapdata.addColumn({ type: 'date', id: 'End' });


    heatmapdata.addRows([




	<? foreach ($heatmap as $day => $hours): ?>
		<? foreach ($hours as $hour => $value): ?>
			['<?= $day ?>', '<?//= $value ?>Live Show', colorMap['<?= $value ?>'], new Date(0, 0, 0, <?= $hour ?>, 0, 0), new Date(0, 0, 0, <?= $hour+1 ?>, 0, 0) ],
		<? endforeach; ?>
	<? endforeach; ?>

	]);

	var heatmapoptions = {
		height: 350,
			 foreColor: "#999",
			 stacked: true,
       responsive: true, // Instruct chart js to respond nicely.
       maintainAspectRatio: true, // Add to prevent default behaviour of full-width/height


		//width: 600,
		dataLabels: {
			 enabled: true
		 },
		timeline: { showBarLabels: false, hAxis: {color: '#111' } },
		avoidOverlappingGridLines: false,
		legend: { position: 'top', maxLines: 4 },
		colors: ['#00E396', '#0090FF'],
		hAxis: {color: '#111' }
	//	hAxis: {color: '#111' },
	//	timeline: { barLabelStyle: { fontSize: 6 }, showBarLabels: false },
	};

	google.visualization.events.addListener(heatmapchart, 'ready', function () {
		var labels = document.getElementById('heatmapchart').getElementsByTagName('text');
		Array.prototype.forEach.call(labels, function(label) {
			if (label.getAttribute('text-anchor') === 'middle') {
				label.setAttribute('fill', '#c1c1c1');
			}
		});
	});

    heatmapchart.draw(heatmapdata, heatmapoptions);




}
</script>




